The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update a Controller

Prev Next

This URL updates a Controller based on the Controller ID.

Resource URL

PUT /controller/<controller id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

controller id

Controller ID.

You can use the GET /controller method to get the details of all the Controllers.

string

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

description

A brief description of the controller

string

Yes

sharedSecretKey

Shared secret key

string

Yes

Response Parameters

Following fields are returned in the response.

Field Name

Description

Data Type

success

Indicates if the update operation is successful.

Value is set to true if the update operation is successful.

Value is set to false if the update operation is not successful.

string

msg

Not applicable

Not applicable

errMsg

Not applicable

Not applicable

domainName

Not applicable

Not applicable

data

Not applicable

Not applicable

Example

Request

PUT https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/7

Payload

{
	
			"description": "test controller modified",
			"sharedSecretKey": "abc123"
}

Response

{
 "success": true, 
 "msg": null, 
 "errMsg": null, 
 "domainName": null, 
 "data": null
}